Results 1 to 4 of 4

Thread: down for everyone, or just me?

  1. #1
    Join Date
    Dec 2008
    Location
    FL, USA
    Posts
    1,414

    Default down for everyone, or just me?

    No, this is not about the internet. It's about the inxi system information reporting script. Most distros, maybe all, package it. Some include it in a default installation. It's never been automatically installed in any openSUSE here. Current upstream is 3.0.34. TW currently has 3.0.32. Leap has a seriously ancient 2.3.40. Upstream devel version instead of being a different branch version is differently named pinxi, currently 3.0.34-01.

    Each has a self update switch -U. On openSUSE, it somewhat routinely fails at SSL verification/legitmacy of the server, both for the packaged versions, and both of upstream's latest, determined by using option "-dbg 1" in pinxi. Part of the error message points to troubleshooting the failure, but that's over my head.

    There seems to be no rhyme or reason whether failures occur, but failures persist on any given installation for hours or days at a time. The openSUSE packages prohibit -U, but this I override via /etc/[p]inxi.conf with a line B_ALLOW_UPDATE=true. Upstream is blaming the failure on openSUSE configuration.

    Before I try filing a B.O.O. bug, I'd like to know whether this happens to others than myself. I have lots of openSUSE installations going all the way back to SuSE 8.2, so "myself" isn't just me, but a lot of different PCs and installations including TW, 15.0 & 15.1. How about others here? You too getting this if you try pinxi -U? In order to test, you may need an older version to upgrade from. This could be done by extracting the 3.0.32 script from the TW rpm and putting it in /usr/local/bin or ~/bin.
    Reg. Linux User #211409 *** multibooting since 1992
    Primary: 42.3,TW,15.0 & 13.1 on Haswell w/ RAID
    Secondary: eComStation (OS/2)&42.3 on 965P/Radeon
    Tertiary: TW,15.0,42.3,Fedora,Debian,more on Kaby Lake,Q45,Q43,G41,G3X,965G,Cedar,Caicos,Oland,GT218&&&

  2. #2
    Join Date
    Dec 2008
    Location
    FL, USA
    Posts
    1,414

    Default Re: down for everyone, or just me?

    I somehow managed to miss in the forum thread the possibility to use --no-ssl, which does enable success with -U. Nevertheless, I'd like to find out what needs to be done so that it isn't necessary. This problem seems like might be related to the recently complained of web site access trouble reported in Firefox.
    Reg. Linux User #211409 *** multibooting since 1992
    Primary: 42.3,TW,15.0 & 13.1 on Haswell w/ RAID
    Secondary: eComStation (OS/2)&42.3 on 965P/Radeon
    Tertiary: TW,15.0,42.3,Fedora,Debian,more on Kaby Lake,Q45,Q43,G41,G3X,965G,Cedar,Caicos,Oland,GT218&&&

  3. #3
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,100
    Blog Entries
    15

    Default Re: down for everyone, or just me?

    Quote Originally Posted by mrmazda View Post
    I somehow managed to miss in the forum thread the possibility to use --no-ssl, which does enable success with -U. Nevertheless, I'd like to find out what needs to be done so that it isn't necessary. This problem seems like might be related to the recently complained of web site access trouble reported in Firefox.
    Hi
    I just download direct into my user directory.....

    wget https://raw.githubusercontent.com/smxi/inxi/master/inxi
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  4. #4
    Join Date
    Dec 2008
    Location
    FL, USA
    Posts
    1,414

    Default Re: down for everyone, or just me?

    I have no ideas about using wget to initialize. I don't think I ever had that problem, not being a repeat downloader from upstream. I downloaded to the LAN server once upon a time, then copied to whichever PC didn't have it already. The problem is primarily about using inxi to update itself using its -U switch, which by default tries with curl, not wget. Of course, if you just downloaded it with wget, you don't have an inxi that has anything to get that would constitute an upgrade. If you copied an older inxi originally from a TW rpm to a user directory, then with appropriate permission you should be able to get -U to work. Since last summer, updates have been occurring at around 6-8 week intervals. Pinxi has been more frequently incremented.
    Reg. Linux User #211409 *** multibooting since 1992
    Primary: 42.3,TW,15.0 & 13.1 on Haswell w/ RAID
    Secondary: eComStation (OS/2)&42.3 on 965P/Radeon
    Tertiary: TW,15.0,42.3,Fedora,Debian,more on Kaby Lake,Q45,Q43,G41,G3X,965G,Cedar,Caicos,Oland,GT218&&&

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •